Foxit PDF SDK

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
FSDK.TableBorderInfo Class Reference

## Public Member Functions
| constructor ()
| Constructor.
| constructor (table_border_style, line_width, color, dash_phase, dashes)
| Constructor, with parameters. More...
| Set (table_border_style, line_width, color, dash_phase, dashes)
| Set value. More...

## Public Attributes
| color
| The table border color. Format: 0xAARRGGBB.
| dash_phase
| Dash phase.It should not be negative. Only useful when parameter style</ i> is FSDK.TableBorderInfo.e_TableBorderStyleDashed. Please refer to <PDF Reference 1.7> P211 "dash pattern" for more details.
| dashes
| A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is FSDK.TableBorderInfo.e_TableBorderStyleDashed. Please refer to <PDF Reference 1.7> P211 "dash pattern" for more details.
| line_width
| Table border line width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
| table_border_style
| Table border style. Please refer to values starting from FSDK.TableBorderInfo.e_TableBorderStyleSolid and this should be one of these values.

## Static Public Attributes
static | e_TableBorderStyleDashed
| Table border style: Dashed.
static | e_TableBorderStyleSolid
| Enumeration for PDF annotation type. More...

## Detailed Description

This class represents table border information.

## Member Function Documentation

## ◆ constructor()

FSDK.TableBorderInfo.constructor | ( | table_border_style | ,
|  | line_width | ,
|  | color | ,
|  | dash_phase | ,
|  | dashes |
| ) |  |

Constructor, with parameters.

Parameters

  [in] | table_border_style | Table border style. Please refer to values starting from FSDK.TableBorderInfo.e_TableBorderStyleSolid and this should be one of these values.
  [in] | line_width | Table border line width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
  [in] | color | The table border color. Format: 0xAARRGGBB.
  [in] | dash_phase | Dash phase. Only useful when parameter style is FSDK.TableBorderInfo.e_TableBorderStyleDashed.
  [in] | dashes | A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is FSDK.TableBorderInfo.e_TableBorderStyleDashed.

## ◆ Set()

FSDK.TableBorderInfo.Set | ( | table_border_style | ,
|  | line_width | ,
|  | color | ,
|  | dash_phase | ,
|  | dashes |
| ) |  |

Set value.

Parameters

  [in] | table_border_style | Table border style. Please refer to values starting from FSDK.TableBorderInfo.e_TableBorderStyleSolid and this should be one of these values.
  [in] | line_width | Table border line width, in points. This should be a non-negative value. If this value is 0, no border is drawn.
  [in] | color | The table border color. Format: 0xAARRGGBB.
  [in] | dash_phase | Dash phase. Only useful when parameter style is FSDK.TableBorderInfo.e_TableBorderStyleDashed.
  [in] | dashes | A dash array that represents the dash patterns. The value of each element in this array should not be negative. Only useful when style is FSDK.TableBorderInfo.e_TableBorderStyleDashed.

Returns
  None.

## Member Data Documentation

## ◆ e_TableBorderStyleSolid

FSDK.TableBorderInfo.e_TableBorderStyleSolid
| static

Enumeration for PDF annotation type.

Values of this enumeration should be used alone.

Table border style: Solid.